@import "../../../../scss/variables";
@import "../../../../../node_modules/bulma/sass/utilities/_all";

span,
p {
  font-size: 0.875rem;
  color: $brand-color;
}

.info-container {
  padding: 2rem 1.25rem 1.25rem 1.25rem;
  background: #F2F2F2;
  display: flex;
  flex-direction: row;

  .leftside {
    width: 65%;

    @media screen and(max-width: $tablet) {
      width: 100%;
    }
  }

  .rightside {
    width: 35%;
    margin-left: 1rem;
    display: flex;
    flex-direction: column;

    @media screen and(max-width: $tablet) {
      display: none;
    }
  }

  .mobile-section {
    display: none;

    @media screen and(max-width: $tablet) {
      display: block;
    }
  }
}

.info-section {
  white-space: pre-line;
  padding: 1.7rem 2rem;
  background: white;
  box-shadow: 0px 6px 12px rgba(129, 128, 128, 0.1);
  border-radius: 8px;

}

.info-section:not(:first-of-type) {
  margin-top: 1rem;
}

.info-subsection {
  margin-bottom: 1rem;
}

.info-title {
  font-size: 0.875rem;
  color: $grey-dark-color;
  text-transform: uppercase;
  margin-bottom: 1rem;
  display: block;
}

.info-subtitle {
  color: $brand-color;
  font-size: 0.875rem;
  font-weight: 600;
  display: block;
}

.related-dataset {
  max-height: 300px;
  overflow-y: auto;

  .related-dataset-item {
    display: flex;
    align-items: center;
    padding: 0.5rem;

    &:not(:last-of-type) {
      border-bottom: 1px solid $grey-super-light-color;
    }

    img {
      height: 50px;
      width: 70px;
      object-fit: cover;
      border: 1px solid $grey-super-light-color;
      border-radius: 4px;
      margin-right: 0.5rem;
    }

    a.link-without-decoration {
      font-size: 1rem;
      font-weight: 600;
    }
  }
}

.categorie {
  background: $blue-color;
  border-radius: 22px;
  color: white;
  margin: 0 0.8rem 0 0;
  padding: 0.2rem 1.5rem 0.4rem 1.5rem;
  display: inline-block;
  margin-bottom: 0.7rem;
}

.keywords {
  background: $grey-background-color;
  border-radius: 22px;
  color: $grey-dark-color;
  margin: 0 0.8rem 0 0;
  padding: 0.2rem 1.5rem 0.4rem 1.5rem;
  display: inline-block;
  margin-bottom: 0.7rem;
}

.link {
  display: inline-flex;
  flex-direction: column;
  line-height: 0.875;
}

.link span {
  font-size: 0.875rem;
  text-decoration: underline;
  color: inherit;

  &:first-of-type {
    font-weight: bold;
  }

  span {
    line-height: 1;
    color: $grey-dark-color;
  }

  svg {
    width: 16px;
    margin-right: 0.5rem;

    path {
      fill: $grey-dark-color;
    }
  }

  div:not(:first-of-type) {
    margin-top: 1em;
  }
}

.geo-image {
  min-width: 150px;
  max-width: 200px;
}

.geo-thumbnail {
  img {
    height: 100px;
    width: 130px;
    object-fit: cover;
    border: 1px solid $grey-super-light-color;
    border-radius: 4px;
  }
}

.geographical-info {
  display: inline-block;

  &:first-of-type {
    margin-right: 4rem;
  }
}
